Table of Contents

Module: row | Twisted-0.19.0/twisted/enterprise/row.py
--- | ---
A (R)elational (O)bject (W)rapper. This is an extremely thin wrapper.
Imported modules |
--- | ---
import adbapi import string import time from twisted.python import log
Functions |
defaultFactoryMethod getKeyColumn makeKW quote
| defaultFactoryMethod
    defaultFactoryMethod (
            rowClass,
            data,
            kw,
            )
Used by loadObjects to create rowObject instances.
| getKeyColumn
    getKeyColumn ( rowClass,  name )
| makeKW
    makeKW ( rowClass,  args )
Utility method to construct a dictionary for the attributes of an object from set of args. This also fixes the case of column names.
| quote
    quote ( value,  typeCode )
Add quotes for text types and no quotes for integer types. NOTE: uses Postgresql type codes..
Exceptions |
--- | ---
DBError( "Type %s not known" % typeCode )
Classes |
DBError |
DBReflector | I reflect on a database and load RowObjects from it.
KeyFactory | I create unique keys to use as primary key columns in database tables.
RowObject | I represent a row in a table in a relational database.
StatementBatch | A keep a set of SQL statements to be executed in a single batch.
_TableInfo | (Internal)

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:36 2002 by HappyDoc version 2.0